import { SimpleLocalIntegration } from '../../core/index.js';
import { AtenPeConfigFlow } from './aten_pe.classes.configflow.js';
import { createAtenPeDiscoveryDescriptor } from './aten_pe.discovery.js';
import type { IAtenPeConfig } from './aten_pe.types.js';
import { atenPeDomain, atenPeProfile } from './aten_pe.types.js';

export class AtenPeIntegration extends SimpleLocalIntegration<IAtenPeConfig> {
  public readonly domain = atenPeDomain;
  public readonly discoveryDescriptor = createAtenPeDiscoveryDescriptor();
  public readonly configFlow = new AtenPeConfigFlow();

  constructor() {
    super(atenPeProfile);
  }
}

export class HomeAssistantAtenPeIntegration extends AtenPeIntegration {}
